#ifndef GXLWRITER_H
#define GXLWRITER_H

#include "Petrigraph.h"
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <libxml/tree.h>


  class GXLWriter
    {
    public:
      GXLWriter(char *pfilename);
      ~GXLWriter();

      void addGraph(Petrigraph& pg, char const* id);

      /** write the XML file to disk */
      void write();
      
      
    private:
      char *filename;
      xmlDocPtr doc;
      
    };

#endif
