
#ifndef TRANSREADER_H
#define TRANSREADER_H

#include <fstream>
#include <vector>

#include <stdexcept>

using namespace std;


class TransReader {
public: 

	TransReader(char * transfile);
	~TransReader();
  void read(long addID);

  vector<unsigned int> getIDs();
  vector<string> getStrings();
  
private:

  ifstream trans;

  vector<string> trans_strings;
  vector<unsigned int> trans_ids;

}; 

#endif
