
#ifndef EXAMPLECHECKER_H
#define EXAMPLECHECKER_H

#include "Petrigraph.h"
#include <vector>
#include <list>

class ExampleChecker
{
public: 
	ExampleChecker(Petrigraph & pg, vector<IDTYPE> & trans);
	~ExampleChecker();

  vector<list<HypergraphInfo> > check(unsigned int * trans_num, bool * result);

  bool checkCommuting(map<IDTYPE, IDTYPE> ab,
											map<IDTYPE, IDTYPE> bc,
											map<IDTYPE, IDTYPE> ac,
											map<IDTYPE, IDTYPE> mergedEdges);
  
  
private:

  void checkLevel(int level);

	Petrigraph pg;

	// transitions
	vector<IDTYPE> trans;

  // [M_0] ... [M_n]
	vector<list<HypergraphInfo> > m_list;

	// counter
	unsigned int counter;
		
};

#endif
