
#include "TransReader.h"

TransReader::TransReader(char * transfile)
{
	 trans.open(transfile);

	 if(!trans.is_open())
		 throw runtime_error("error by opening transition file");
}

TransReader::~TransReader()
{
}

void TransReader::read(long addID)
{
	bool odd = true;

	while(true)
	{
    char ch[256];

    trans.getline(ch, 256);

    if(strlen(ch)==0)
			break;

		if(odd)
    {
			int ltr_size = trans_strings.size();
    
      trans_strings.resize(ltr_size+1);
      string s(ch);
      trans_strings[ltr_size]= s;

      odd = false;
    }
    else
    {
      int ltr_size = trans_ids.size();
			
			trans_ids.resize(ltr_size+1);
			trans_ids[ltr_size]=atoi(ch)+addID;

			odd = true;
		}	

	}
}

/** get the names of transitions */
vector<string> TransReader::getStrings()
{
  return trans_strings;
}

/** get the IDs of transitions */
vector<unsigned int> TransReader::getIDs()
{
	return trans_ids;
}
